summaryrefslogtreecommitdiffstats
path: root/desktop/q4wine
diff options
context:
space:
mode:
author David Somero2010-05-13 00:23:06 +0200
committer Robby Workman2010-05-13 00:23:06 +0200
commit5898152d34b7b0840b8939a05562159cc3483f8b (patch)
tree5939217aabc39eb7f0f7e279ce9fc117d2156c76 /desktop/q4wine
parent80f5d755a8188d51417a37f91d35c19a78e835b6 (diff)
downloadslackbuilds-5898152d34b7b0840b8939a05562159cc3483f8b.tar.gz
desktop/q4wine: Updated for version 0.113
Diffstat (limited to 'desktop/q4wine')
-rw-r--r--desktop/q4wine/q4wine.SlackBuild32
-rw-r--r--desktop/q4wine/q4wine.info10
-rw-r--r--desktop/q4wine/slack-desc4
3 files changed, 24 insertions, 22 deletions
diff --git a/desktop/q4wine/q4wine.SlackBuild b/desktop/q4wine/q4wine.SlackBuild
index 4416635150..4b8830fd71 100644
--- a/desktop/q4wine/q4wine.SlackBuild
+++ b/desktop/q4wine/q4wine.SlackBuild
@@ -23,7 +23,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=q4wine
-VERSION=${VERSION:-0.112_r1}
+VERSION=${VERSION:-0.113}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -33,6 +33,7 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+# Leave this here for now - it is needed if we use an -rc version.
SRCVERSION=$(echo $VERSION | tr _ -)
if [ "$ARCH" = "i486" ]; then
@@ -52,7 +53,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$SRCVERSION
-tar xzvf $CWD/q4wine-$SRCVERSION.tar.gz
+tar xvf $CWD/q4wine-$SRCVERSION.tar.gz
cd $PRGNAM-$SRCVERSION
chown -R root:root .
find . \
@@ -62,28 +63,27 @@ find . \
-exec chmod 644 {} \;
mkdir build
-
( cd build
-cmake \
- -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_BUILD_TYPE=Release \
- -DCMAKE_INSTALL_PREFIX=/usr \
- -DLIB_SUFFIX=${LIBDIRSUFFIX} ..
-
- make
- make install DESTDIR=$PKG
-)
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} ..
+
+ make
+ make install DESTDIR=$PKG
+) || exit
( cd $PKG
find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
+ xargs strip --strip-unneeded 2> /dev/null || true
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a INSTALL LICENSE README changelog $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL LICENSE README ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -91,4 +91,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/q4wine/q4wine.info b/desktop/q4wine/q4wine.info
index ef29eca3e2..09fa9f0a2f 100644
--- a/desktop/q4wine/q4wine.info
+++ b/desktop/q4wine/q4wine.info
@@ -1,8 +1,10 @@
PRGNAM="q4wine"
-VERSION="0.112_r1"
-HOMEPAGE="http://sourceforge.net/projects/q4wine"
-DOWNLOAD="http://downloads.sourceforge.net/q4wine/q4wine-0.112-r1.tar.gz"
-MD5SUM="162d4cf15609775591c8f4f7c9759551"
+VERSION="0.113"
+HOMEPAGE="http://q4wine.brezblock.org.ua"
+DOWNLOAD="http://downloads.sourceforge.net/q4wine/q4wine-0.113.tar.gz"
+MD5SUM="4428a5977e03f5fc08ad61f3b3ad95c5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="David Somero"
EMAIL="dsomero@hotmail.com"
APPROVED="rworkman"
diff --git a/desktop/q4wine/slack-desc b/desktop/q4wine/slack-desc
index b59f3ef8f3..4f52633b10 100644
--- a/desktop/q4wine/slack-desc
+++ b/desktop/q4wine/slack-desc
@@ -7,10 +7,10 @@
|-----handy-ruler-----------------------------------------------------|
q4wine: q4wine (Qt4 GUI for wine)
-q4wine:
+q4wine:
q4wine: Q4Wine is an qt4 GUI for W.I.N.E. It will helps you to
q4wine: manage wine prefixes and installed applications.
-q4wine:
+q4wine:
q4wine: Homepage: http://sourceforge.net/projects/q4wine
q4wine:
q4wine: